#
# spec file for package librsvg (Version 2.12.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook-dsssl-stylesheets docbook-toys docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gtkdoc gzip hal hal-devel info insserv iso_ent jadetex klogd latex-ucs less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libcroco libcroco-devel libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgsf libgsf-devel libgsf-gnome libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed sgml-skel shared-mime-info strace sysvinit tar tcpd te_latex tetex texinfo timezone unzip update-desktop-files util-linux vim xmlcharent xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           librsvg
BuildRequires:  docbook-toys gnutls-devel gtkdoc libcroco-devel libglade2-devel libgnomeprintui-devel libgnomeui-devel libgsf-devel libwnck-devel mDNSResponder-devel update-desktop-files xmlcharent
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL
Group:          System/Libraries
Autoreqprov:    on
Provides:       librsvg2
Obsoletes:      librsvg2
Version:        2.12.7
Release:        16.2
Summary:        A Library for Rendering SVG Data
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/librsvg/2.6/librsvg-%{version}.tar.bz2
Patch:          %{name}-uninited-vars.patch
URL:            http://librsvg.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# NOTE: Can use libcroco CSS parser.

%description
This package contains a library to render SVG (scalable vector
graphics) data. This format has been specified by the W3C (see
http://www.w3c.org).



Authors:
--------
    Raph Levien <raph@acm.org>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
Autoreqprov:    on
Provides:       librsvg2-devel
Obsoletes:      librsvg2-devel
Requires:       %{name} = %{version} libcroco-devel glib2-devel gtk2-devel libgsf-devel libart_lgpl-devel popt-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Raph Levien <raph@acm.org>

%prep
%setup -n librsvg-%{version} 
%patch

%build
libtoolize --force
aclocal 
automake --add-missing
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --mandir=%prefix/share/man \
    --localstatedir=/var/lib \
    --with-svgz \
    --without-gimp \
    --with-html-dir=%_docdir/%{name}
make 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
mkdir -p $RPM_BUILD_ROOT%_docdir
cp AUTHORS COPYING ChangeLog NEWS README $RPM_BUILD_ROOT%_docdir/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch var/adm/SuSEconfig/run-gtk
%run_ldconfig

%postun
touch var/adm/SuSEconfig/run-gtk
%run_ldconfig

%files
%defattr(-,root,root)
%doc %dir %_docdir/%{name}
%doc %_docdir/%{name}/AUTHORS
%doc %_docdir/%{name}/COPYING
%doc %_docdir/%{name}/ChangeLog
%doc %_docdir/%{name}/NEWS
%doc %_docdir/%{name}/README
%doc %_docdir/%{name}/style.css
%defattr (-, root, root)
%doc %{prefix}/share/man/man?/*.*
%{prefix}/%_lib/*.so.*
%{prefix}/%_lib/gtk-2.0/2.4.0/loaders/*.so
%{prefix}/%_lib/gtk-2.0/2.4.0/engines/*.so
%{prefix}/bin/*
%{prefix}/share/pixmaps/*.svg

%files devel
%defattr(-,root,root)
%doc %_docdir/%{name}/*.html
%doc %_docdir/%{name}/*.png
%doc %_docdir/%{name}/*.sgml
%doc %_docdir/%{name}/*.devhelp
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/include/librsvg-2
%{prefix}/%_lib/*.so
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/gtk-2.0/2.4.0/loaders/*.*a
%{prefix}/%_lib/gtk-2.0/2.4.0/engines/*.*a

%changelog -n librsvg
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 2.12.7
- Fix use of uninitialized variables
* Fri Sep 16 2005 - rodrigo@suse.de
- Update to version 2.12.0
* Mon Sep 05 2005 - gekker@suse.de
- Update to version 2.11.1 (GNOME 2.12)
* Fri Aug 12 2005 - sbrabec@suse.cz
- Fixed devel requirements (#104295).
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Sun Feb 06 2005 - gekker@suse.de
- Update to version 2.9.5
* Wed Jan 19 2005 - ro@suse.de
- fixed filelist
* Wed Dec 22 2004 - gekker@suse.de
- Update to version 2.8.1
- Make *.svg and *.devhelp install
* Tue May 04 2004 - sbrabec@suse.cz
- Updated to version 2.6.5 (GNOME 2.6).
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed %%postun.
- Fixed doc build.
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Mon Oct 20 2003 - sbrabec@suse.cz
- Do not build SVG plug-in (moved to gimp2 package).
* Wed Oct 08 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Tue Aug 26 2003 - sbrabec@suse.cz
- Added Provides/Obsoletes for old name.
* Tue Aug 19 2003 - sbrabec@suse.cz
- Package renamed (librsvg2 -> librsvg).
* Sun Jul 27 2003 - hhetter@suse.de
- fix build
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul 09 2003 - sbrabec@suse.cz
- Branched gimp2-svg (to simplify dependences).
* Wed Jun 25 2003 - sbrabec@suse.cz
- Updated to version 2.2.5.
- Updated neededforbuild.
- Turned on GIMP plugin, libgsf and SVGZ support.
* Wed Feb 12 2003 - hhetter@suse.de
- install the rsvg loader at the default gdk-pixbuf-loader
  module location
- updated to version 2.2.3 to critical bugs with SVG themes
* Thu Jan 30 2003 - hhetter@suse.de
- force running of SuSEconfig.gtk to register the
  librsvg gdk-pixbuf loader
* Tue Jan 28 2003 - hhetter@suse.de
- updated to version 2.2.1
- update filelist
- include gdk-pixbuf loaders
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Oct 22 2002 - hhetter@suse.de
- remove wrong docdir
- use correct kde datadir
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Aug 13 2002 - ro@suse.de
- removed control-center from neededforbuild
* Tue Jul 23 2002 - hhetter@suse.de
- updated to version 2.0.1
  * trashcan rendering problems fixed
* Tue Jul 23 2002 - hhetter@suse.de
- updated to version 2.0.0
* Wed May 15 2002 - ro@suse.de
- use libdir
* Mon Apr 15 2002 - hhetter@suse.de
- update to version 1.1.6 [gnome desktop beta3]
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
